/************************************************************************
 *
 * Copyright (C) 1986-1998 Micro Focus Ltd.
 *
 * All rights reserved.  Unpublished, all rights reserved under
 * copyright law and international treaty.  Use of a copyright notice
 * is precautionary only and does not imply publication or disclosure.
 * This software contains confidential information and trade secrets of
 * Micro Focus Ltd. and no part of this program or publication may be
 * reproduced, transmitted, transcribed, stored in a retrieval system,
 * or translated into any language or computer language, in any form
 * or by any means, electronic, mechanical, magnetic, optical, chemical,
 * manual or otherwise, without the prior written permission of:
 *
 * Micro Focus Ltd,
 * The Lawn, Old Bath Road, Newbury, Berkshire, RG14 1QN, UK.
 * (01635) 32646
 *
 * RESTRICTED RIGHTS LEGEND
 * Use, duplication, or disclosure by the Government is subject to
 * restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
 * in Technical Data and Computer Software clause at DFARS 52.227-7013
 * or subparagraphs (c)(1) and (2) of Commercial Computer Software -
 * Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
 * Micro Focus Incorporated, 2465 East Bayshore Road, Palo Alto,
 * California 94303.
 *
 *
 ************************************************************************
 *
 * Start of source module cxxsub1.C
 *
 ************************************************************************/


#include <stdio.h>
#include <string.h>

extern "C"
int cplusfunc(int a, float *b, long *c, char *d, double *e)
{
    int result = 0;

    if(a == -10)
    {
	printf("int passed correctly\n");
    }
    else
    {
	printf("int failed\n");
	result++;
    }

    if(*b == 10.5)
    {
	printf("float passed correctly\n");
    }
    else
    {
	printf("float failed\n");
	result++;
    }

    if(*c == 10)
    {
	printf("long passed correctly\n");
    }
    else
    {
	printf("long failed\n");
	result++;
    }

    if(strcmp(d, "abcdefghijklmnopqrst") == 0)
    {
	printf("char * passed correctly\n");
    }
    else
    {
	printf("char * failed\n");
	result++;
    }

    if(*e == 9999)
    {
	printf("double passed correctly\n");
    }
    else
    {
	printf("double failed\n");
	result++;
    }

    return(result);
}
