      ****************************************************************
      *                                                              *
      * Copyright (c) 1984-1997 Micro Focus Limited.
      *                                                              *
      * Copyright Micro Focus Limited. All Rights Reserved.          *
      * This demonstration program is provided for use by users of   *
      * Micro Focus products and may be used, modified and           *
      * distributed as part of your application provided that you    *
      * properly acknowledge the copyright of Micro Focus in this    *
      * material.                                                    *
      *                                                              *
      *  Demonstration of COBOL multi-threading features
      *                                                              *
      *  @(#)SERVWRK.CPY	1.3
      *                                                              *
      *  Last Modified on 96/08/29 at 10:50:49
      ****************************************************************

	*>************************************************************<*
	*>
	*> Work areas needed for server, service and user interface 
	*>  modules...
	*>
	*>************************************************************<*
	78  78-SERVICE-EXIT      value 'E'.  *> Originates from user
	78  78-SERVICE-HORIZ     value '1'.  *> interface only.
	78  78-SERVICE-VERT      value '2'.
	78  78-SERVICE-RDIAG     value '3'.
	78  78-SERVICE-LDIAG     value '4'.

	78  78-SERVICE-STARTED   value 's'.  *> Originates from service 
	78  78-SERVICE-FINISHED  value 'f'.  *> routines only.

	78  78-DONE-STARTED    value 's'.
	78  78-DONE-FINISHED   value 'f'.
	78  78-DONE-EXIT       value 'e'.
	78  78-DONE-ABORT      value 'a'.

	01  service-packet is external.
	    05  service-req-sem        usage semaphore-pointer.
	    05  service-req-ack-sem    usage semaphore-pointer.
	    05  service-done-sem       usage semaphore-pointer.
	    05  service-done-ack-sem   usage semaphore-pointer.
	    05  service-req-type    pic x.
	    05  service-req-id      pic 99.
	    05  service-req-thread  usage thread-pointer.
	    05  service-done-type   pic x. 
	    05  service-done-id     pic 99. 
	    05  service-done-thread usage thread-pointer.
	    05  service-done-rc     pic x(4) comp-x.
