/****************************************************************************
 *
 *	Copyright (C) 1984-1998 Micro Focus Ltd.
 *
 *	All rights reserved.  Unpublished, all rights reserved under
 *	copyright law and international treaty.  Use of a copyright notice
 *	is precautionary only and does not imply publication or disclosure.
 *	This software contains confidential information and trade secrets of
 *	Micro Focus Ltd. and no part of this program or publication may be
 *	reproduced, transmitted, transcribed, stored in a retrieval system,
 *	or translated into any language or computer language, in any form
 *	or by any means, electronic, mechanical, magnetic, optical, chemical,
 *	manual or otherwise, without the prior written permission of:
 *
 *	Micro Focus Ltd,
 *	The Lawn, Old Bath Road, Newbury, Berkshire, RG14 1QN, UK.
 *	(01635) 32646
 *
 *	RESTRICTED RIGHTS LEGEND
 *	Use, duplication, or disclosure by the Government is subject to
 *	restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
 *	in Technical Data and Computer Software clause at DFARS 52.227-7013
 *	or subparagraphs (c)(1) and (2) of Commercial Computer Software -
 *	Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
 *	Micro Focus Incorporated, 701 East Middlefield Road, Mountain View,
 *	California 94043, USA.
 *
 *	Genesis Run Time System (M3/Hawaii Freeze)
 *
 *	@(#)cobmain.h	3.1
 *
 *	Last Modified on 98/08/13 at 13:32:26
 *
 ****************************************************************************/

/** Start of source module cobmain.h **/

#ifndef _COBMAIN_H
#define _COBMAIN_H

/* This file, which is supplied in $COBDIR/include, prototypes the documented
 * cob prefix routines required when using a C/C++ main().
 */

#ifdef	__cplusplus
extern "C" {
#endif

#include "mf_types.h"

int	 cobinit(void);
mf_uns8 *cobcommandline(int flags, int *argcp, mf_uns8 ***argvp,
			mf_uns8 ***envp, mf_uns8 **namep);
int	 cobthreadtidy(void);
int	 cobtidy(void);
void	 cobexit(int retcode);

#ifdef	__cplusplus
}
#endif

#endif /* _COBMAIN_H */

/** End of source module cobmain.h **/
