      * Copyright (C) 1985-1998 Micro Focus Ltd.
      * 
      * All rights reserved. Unpublished, all rights reserved under
      * copyright law and international treaty. Use of a copyright
      * notice is precautionary only and does not imply publication or
      * disclosure.  This software contains confidential information
      * and trade secrets of Micro Focus Ltd. and no part of this
      * program or publication may be reproduced, transmitted,
      * transcribed, stored in a retrieval system, or translated into
      * any language or computer language, in any form or by any
      * means, electronic, mechanical, magnetic, optical, chemical,
      * manual or otherwise, without the prior written permission of:
      * 
      * Micro Focus Ltd,
      * The Lawn, 22-30 Old Bath Road, Newbury, Berkshire, RG14 1QN.
      * (01635) 32646
      * 
      * RESTRICTED RIGHTS LEGEND
      * Use, duplication, or disclosure by the Government is subject
      * to restrictions as set forth in subparagraph (c)(1)(ii) of
      * the Rights in Technical Data and Computer Software clause at
      * DFARS 52.227-7013 or subparagraphs (c)(1) and (2) of
      * Commercial Computer Software - Restricted Rights at 48 CFR
      * 52.227-19, as applicable.  Contact Micro Focus Incorporated,
      * 701 E. Middlefield Road, Mountain View, Calif. 9404.
      *
* $Revision:   1.1  $
* $Date:   27 Feb 1998 17:36:18  $
* $Author:   ROS  $
      *  SCCS Source : Extracted on 88/10/24 at 12:02:59
      /*****************************************************************
      *  Start of source module codeset.cbl Ver V2.0
      *                            source revision 1.3
      * Copyright (c) 1981,1986 Micro Focus Ltd
      * @(#) < Codeset - EBCDIC/ASCII and ASCII/EBCDIC conversion >
      *
      * Last modified on 87/06/04 on 14:29:40
      *
      ******************************************************************
       IDENTIFICATION DIVISION.
       DATA DIVISION.
       WORKING-STORAGE SECTION.
       COPY "codeset.cpy".

       LINKAGE SECTION.
       01  Cset-Flag                       PIC 9(2) COMP-X.
       01  Cset-Length                     PIC 9(9) COMP-X.
       01  Cset-Area                       PIC X(256).

       PROCEDURE DIVISION USING Cset-Flag, Cset-Length, Cset-Area.
       Convertion SECTION.
       Conv-Control.

           MOVE Cset-Length TO Area-Length.
           MOVE 0 TO Current-Position.
           EVALUATE Cset-Flag
           WHEN 0
               PERFORM Conv-EB-AS
           WHEN 1
               PERFORM Conv-AS-EB
           WHEN 2
               MOVE Cset-EBCDIC-ASCII TO Cset-AREA
           WHEN 3
               MOVE Cset-ASCII-EBCDIC TO Cset-AREA
           END-EVALUATE.
       Conv-Exit.
           EXIT PROGRAM.

      ******************************************************************
       Conv-EB-AS SECTION.
       Conv-EB-AS-Next.
           IF Current-Position < Area-Length
               MOVE Cset-Area  (Current-Position + 1:1)
                 TO Char-Value (1                   :1)
               MOVE Cset-EBAS (Char-Value + 1)
                 TO Cset-Area (Current-Position + 1: 1)
               ADD 1 TO Current-Position
               GO TO Conv-EB-AS-Next.

      ******************************************************************
       Conv-AS-EB SECTION.
       Conv-AS-EB-Next.
           IF Current-Position < Area-Length
               MOVE Cset-Area  (Current-Position + 1:1)
                 TO Char-Value (1                   :1)
               MOVE Cset-ASEB (Char-Value + 1)
                 TO Cset-Area (Current-Position + 1: 1)
               ADD 1 TO Current-Position
               GO TO Conv-AS-EB-Next.
