      ******************************************************************
      *
      *     List of key values used by the run time system
      *
      ******************************************************************

      *    Valid key types with their associated key descriptions.
      *    Note that Cntrl+<char> is treated as a data key.

       78  ds-function-key                     value 49.

           78  F1-Key                          VALUE 1.
           78  F2-Key                          VALUE 2.
           78  F3-Key                          VALUE 3.
           78  F4-Key                          VALUE 4.
           78  F5-Key                          VALUE 5.
           78  F6-Key                          VALUE 6.
           78  F7-Key                          VALUE 7.
           78  F8-Key                          VALUE 8.
           78  F9-Key                          VALUE 9.
           78  F10-Key                         VALUE 10.
           78  F11-Key                         VALUE 91.
           78  F12-Key                         VALUE 92.

           78  Shift-F1-Key                    VALUE 61.
           78  Shift-F2-Key                    VALUE 62.
           78  Shift-F3-Key                    VALUE 13.
           78  Shift-F4-Key                    VALUE 14.
           78  Shift-F5-Key                    VALUE 15.
           78  Shift-F6-Key                    VALUE 16.
           78  Shift-F7-Key                    VALUE 17.
           78  Shift-F8-Key                    VALUE 18.
           78  Shift-F9-Key                    VALUE 19.
           78  Shift-F10-Key                   VALUE 20.
           78  Shift-F11-Key                   VALUE 93.
           78  Shift-F12-Key                   VALUE 94.

           78  Cntrl-F1-Key                    VALUE 21.
           78  Cntrl-F2-Key                    VALUE 22.
           78  Cntrl-F3-Key                    VALUE 23.
           78  Cntrl-F4-Key                    VALUE 24.
           78  Cntrl-F5-Key                    VALUE 25.
           78  Cntrl-F6-Key                    VALUE 26.
           78  Cntrl-F7-Key                    VALUE 27.
           78  Cntrl-F8-Key                    VALUE 28.
           78  Cntrl-F9-Key                    VALUE 29.
           78  Cntrl-F10-Key                   VALUE 30.
           78  Cntrl-F11-Key                   VALUE 95.
           78  Cntrl-F12-Key                   VALUE 96.

           78  Alt-F1-Key                      VALUE 31.
           78  Alt-F2-Key                      VALUE 32.
           78  Alt-F3-Key                      VALUE 33.
           78  Alt-F4-Key                      VALUE 34.
           78  Alt-F5-Key                      VALUE 35.
           78  Alt-F6-Key                      VALUE 36.
           78  Alt-F7-Key                      VALUE 37.
           78  Alt-F8-Key                      VALUE 38.
           78  Alt-F9-Key                      VALUE 39.
           78  Alt-F10-Key                     VALUE 40.
           78  Alt-F11-Key                     VALUE 97.
           78  Alt-F12-Key                     VALUE 98.

           78  CR-Key                          VALUE 41.
           78  Cursor-Left-Key                 VALUE 42.
           78  Cursor-Right-Key                VALUE 43.
           78  Cursor-Up-Key                   VALUE 44.
           78  Cursor-Down-Key                 VALUE 45.
           78  Home-Key                        VALUE 46.
           78  Tab-Key                         VALUE 47.
           78  Back-Tab-Key                    VALUE 48.
           78  Back-Space-Key                  VALUE 49.
           78  End-Key                         VALUE 50.
           78  Page-Up-Key                     VALUE 51.
           78  Page-Down-Key                   VALUE 52.
           78  Cntrl-Home-Key                  VALUE 53.
           78  Cntrl-End-Key                   VALUE 54.
           78  Cntrl-Page-Up-Key               VALUE 55.
           78  Cntrl-Page-Down-Key             VALUE 56.
           78  Cntrl-Cursor-Left-Key           VALUE 57.
           78  Cntrl-Cursor-Right-Key          VALUE 58.
           78  Del-Key                         VALUE 60.
           78  Escape-Key                      VALUE 65.

           78  Alt-1                           VALUE 71.
           78  Alt-2                           VALUE 72.
           78  Alt-3                           VALUE 73.
           78  Alt-4                           VALUE 74.
           78  Alt-5                           VALUE 75.
           78  Alt-6                           VALUE 76.
           78  Alt-7                           VALUE 77.
           78  Alt-8                           VALUE 78.
           78  Alt-9                           VALUE 79.
           78  Alt-0                           VALUE 80.
           78  Alt-Minus                       VALUE 81.
           78  Alt-Equals                      VALUE 82.
           78  Alt-a                           VALUE 101.
           78  Alt-b                           VALUE 102.
           78  Alt-c                           VALUE 103.
           78  Alt-d                           VALUE 104.
           78  Alt-e                           VALUE 105.
           78  Alt-f                           VALUE 106.
           78  Alt-g                           VALUE 107.
           78  Alt-h                           VALUE 108.
           78  Alt-i                           VALUE 109.
           78  Alt-j                           VALUE 110.
           78  Alt-k                           VALUE 111.
           78  Alt-l                           VALUE 112.
           78  Alt-m                           VALUE 113.
           78  Alt-n                           VALUE 114.
           78  Alt-o                           VALUE 115.
           78  Alt-p                           VALUE 116.
           78  Alt-q                           VALUE 117.
           78  Alt-r                           VALUE 118.
           78  Alt-s                           VALUE 119.
           78  Alt-t                           VALUE 120.
           78  Alt-u                           VALUE 121.
           78  Alt-v                           VALUE 122.
           78  Alt-w                           VALUE 123.
           78  Alt-x                           VALUE 124.
           78  Alt-y                           VALUE 125.
           78  Alt-z                           VALUE 126.

       78  ds-data-key                         value 51.

      *    Note Cntrl-h, Cntrl-i and Cntrl-m are not usable. They return
      *    function codes for Tab, Back-spaces and CR respectively.

           78  Cntrl-a                         VALUE 1.
           78  Cntrl-b                         VALUE 2.
           78  Cntrl-c                         VALUE 3.
           78  Cntrl-d                         VALUE 4.
           78  Cntrl-e                         VALUE 5.
           78  Cntrl-f                         VALUE 6.
           78  Cntrl-g                         VALUE 7.
           78  Cntrl-j                         VALUE 10.
           78  Cntrl-k                         VALUE 11.
           78  Cntrl-l                         VALUE 12.
           78  Cntrl-n                         VALUE 14.
           78  Cntrl-o                         VALUE 15.
           78  Cntrl-p                         VALUE 16.
           78  Cntrl-q                         VALUE 17.
           78  Cntrl-r                         VALUE 18.
           78  Cntrl-s                         VALUE 19.
           78  Cntrl-t                         VALUE 20.
           78  Cntrl-u                         VALUE 21.
           78  Cntrl-v                         VALUE 22.
           78  Cntrl-w                         VALUE 23.
           78  Cntrl-x                         VALUE 24.
           78  Cntrl-y                         VALUE 25.
           78  Cntrl-z                         VALUE 26.

       78  ds-shift-key                        value 53.

           78  Alt-Key-On                      VALUE 0.
           78  Alt-Key-Off                     VALUE 1.
           78  Cntrl-Key-On                    VALUE 2.
           78  Cntrl-Key-Off                   VALUE 3.
           78  Left-Shift-Key-On               VALUE 4.
           78  Left-Shift-Key-Off              VALUE 5.
           78  Right-Shift-Key-On              VALUE 6.
           78  Right-Shift-Key-Off             VALUE 7.

       78  ds-lock-key                         value 54.

           78  Ins-On                          VALUE 16.
           78  Caps-Lock-On                    VALUE 17.
           78  Num-Lock-On                     VALUE 18.
           78  Scroll-Lock-On                  VALUE 19.
           78  Ins-Off                         VALUE 32.
           78  Caps-Lock-Off                   VALUE 33.
           78  Num-Lock-Off                    VALUE 34.
           78  Scroll-Lock-Off                 VALUE 35.
