      *> This is called by the OOPS runtime to determine if the correct      
      *> version of the class library is running with the correct      
      *> version of the OO runtime.      
      *>      
      *> Copyright Micro Focus 1991, 1997
       program-id. cversion.       
       working-storage section.
       01 result                   pic x comp-5.
       01 versionInfoType          pic x(4) comp-5 value 1.
       01 oops-version-string      pic x(40).

       78 expected                 value "0002.0002".

       procedure division.
           call "oopsgetversion" using by value versionInfoType,
                            by reference oops-version-string           
           if oops-version-string(26:9) >= expected
               move zero to result *>> Everything ok           
           else               
               move 1 to result    *>> Version incompatability           
           end-if           
           exit program returning result
