      ************************************************************************
      *
      * Copyright (C) 1986-1997 Micro Focus Ltd.
      *
      * All rights reserved.  Unpublished, all rights reserved under
      * copyright law and international treaty.  Use of a copyright notice
      * is precautionary only and does not imply publication or disclosure.
      * This software contains confidential information and trade secrets of
      * Micro Focus Ltd. and no part of this program or publication may be
      * reproduced, transmitted, transcribed, stored in a retrieval system,
      * or translated into any language or computer language, in any form
      * or by any means, electronic, mechanical, magnetic, optical, chemical,
      * manual or otherwise, without the prior written permission of:
      *
      * Micro Focus Ltd,
      * Speen Court, 7 Oxford Road, Newbury, Berkshire, RG14 1PB, UK.
      * (01635) 32646
      *
      * RESTRICTED RIGHTS LEGEND
      * Use, duplication, or disclosure by the Government is subject to
      * restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
      * in Technical Data and Computer Software clause at DFARS 52.227-7013
      * or subparagraphs (c)(1) and (2) of Commercial Computer Software -
      * Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
      * Micro Focus Incorporated, 2465 East Bayshore Road, Palo Alto,
      * California 94303.
      *
      * Micro Focus Client-Server Bindings (CSBind)
      *
      * @(#)mfclisrv.cpy	2.31
      *
      * Last Modified on 97/09/09 at 14:52:39
      *
      ************************************************************************
      *
      * Start of copy file mfclisrv.cpy
      *
      ************************************************************************
      *-------------------------------------------------------*
      *  Used for passing information between mfclient,       *
      *  mfserver, and the user processing programs.          *
      *  Most of the fields have entries in the configuration *
      *  file, and default values are assigned for any which  *
      *  have not been specified.                             *
      *    '"@(# ) mfclisrv.cpy 2.2.00 07151997"'             *
      *-------------------------------------------------------*
       01  lnk-param-block.
          03  lnk-cntrl-flag       pic x comp-x value 0.
              88 result-ok         value 0.
              88 new-client        value 1.
              88 client-ending     value 2.
              88 start-connection  value 3.
              88 end-connection    value 4.
              88 switch-srv        value 5.
              88 too-many-clients  value 6.
              88 rpc-failed        value 7.
              88 comms-timeout     value 8.
              88 comms-error       value 9 10.
              88 comms-break       value 10.
              88 async-request     value 11.
              88 async-OK          value 12.
              88 async-not-started value 13.
              88 test-async-result value 14.
              88 async-incomplete  value 15.
              88 async-failed      value 16.
              88 get-dblock-size   value 17.
              88 usr-function      value 18.
              88 null-transaction  value 19.
              88 ds-callout        value 20.
              88 mtrans-continued  value 21.
              88 mtrans-complete   value 22.
              88 load-cfg-filename value 23.
              88 redirect-service  value 24.
              88 redirect-cfg-err  value 25.
              88 ds-callout-failed value 26.
              88 no-srv-prog       value 27.
              88 load-inline-cfg   value 28.
              88 use-combined-cfg  value 29.
              88 end-inline-cfg    value 30.
              88 stop-server       value 31.
              88 setup-override    value 32.
              88 get-password      value 33.
              88 invalid-password  value 34.
              88 install-ovrd      value 35.
              88 remove-ovrd       value 36.
              88 server-locked     value 37.
              88 dual-svc          value 38.
              88 get-version-no    value 39.
              88 csmgr-svc         value 31 THRU 42.
              88 use-rdt           value 43.
              88 send-via-rdt      value 44 45.
              88 send-via-comp-rdt value 45.
              88 scfm-delete       value 46.
              88 scfm-start        value 47.
              88 scfm-install      value 48.
              88 scfm-cancelled    value 49.
              88 scfm-complete     value 50.
2.2.06        88 AAI-use-rdt       value 51.
              88 compressed-data   value 64 thru 127
                                         192 thru 255.
              88 start-mtrans      value 128 thru 255.
              88 val-cli-opts      value 0 2 9 11 14 18 20 39 43.
              88 val-srv-opts      value 0 2 3 9 18 43.
          03  lnk-usr-fcode        pic x comp-x.
          03  lnk-usr-retcode      pic x comp-x.
2.2.03        88 cstart                 VALUE 1 11.
              88 dstart                 VALUE 2 12.
              88 estart                 VALUE 3 13.
              88 ustart                 VALUE 4 14.
              88 valid-rdt              VALUE 1 2 3 4 11 12 13 14.
2.2.03        88 compressed-rdt         VALUE 11 12 13 14.
          03  lnk-data-length      pic xx comp-x.
          03  lnk-client-id        pic xx comp-x.
          03  lnk-tagname          pic x(32).
          03  lnk-scrntype         pic x(4).
              88 char-scrn         value "CHAR".
              88 gui-scrn          value "GUI".
              88 adis-scrn         value "ADIS".
          03  lnk-error-val        pic 99.
          03  lnk-error-dtl.
              05  lnk-error-date   pic x(20).
              05  lnk-error-loc    pic x(45).
          03  lnk-error-msg        pic x(175).
          03  lnk-error-msg-len    pic x(4) comp-5.
          03  lnk-client           pic x(8) value "mfclient".
          03  lnk-cblock-ptr       usage pointer value NULL.
          03  lnk-dblock-ptr       usage pointer value NULL.
          03  lnk-eblock-ptr       usage pointer value NULL.
          03  lnk-ublock-ptr       usage pointer value NULL.
      * End of source module mfclisrv.cpy
