      $set ans85 noosvs vsc2 mf
      ************************************************************************
      *
      * Copyright (C) 1986-1997 Micro Focus Ltd.
      *
      * All rights reserved.  Unpublished, all rights reserved under
      * copyright law and international treaty.  Use of a copyright notice
      * is precautionary only and does not imply publication or disclosure.
      * This software contains confidential information and trade secrets of
      * Micro Focus Ltd. and no part of this program or publication may be
      * reproduced, transmitted, transcribed, stored in a retrieval system,
      * or translated into any language or computer language, in any form
      * or by any means, electronic, mechanical, magnetic, optical, chemical,
      * manual or otherwise, without the prior written permission of:
      *
      * Micro Focus Ltd,
      * Speen Court, 7 Oxford Road, Newbury, Berkshire, RG14 1PB, UK.
      * (01635) 32646
      *
      * RESTRICTED RIGHTS LEGEND
      * Use, duplication, or disclosure by the Government is subject to
      * restrictions as set forth in subparagraph (c)(1)(ii) of the Rights
      * in Technical Data and Computer Software clause at DFARS 52.227-7013
      * or subparagraphs (c)(1) and (2) of Commercial Computer Software -
      * Restricted Rights at 48 CFR 52.227-19, as applicable.  Contact
      * Micro Focus Incorporated, 2465 East Bayshore Road, Palo Alto,
      * California 94303.
      *
      * Micro Focus Client-Server Bindings (CSBind)
      *
      * Source Module netxserv.cbl	Sccs Identification 2.2
      *
      * Last Modified on 97/09/09 at 14:52:47
      *
      ************************************************************************
      *
      * Start of source module netxserv.cbl
      *
      ************************************************************************
       IDENTIFICATION DIVISION.
       PROGRAM-ID. NETXSERV.

       WORKING-STORAGE SECTION.
       01 SCCS-ID PIC X(40) VALUE "@(#)netxserv.cbl	2.2 9/9/97".
       01  ws-filename                 PIC X(20) value "netxcpfl.dat".
       01  ws-pathname                 PIC X(64).
       01  ws-pathname-len             PIC X comp-x value 64.

       01  Locals.
           03  Access-Mode             PIC X       COMP-5 VALUE 2.
           03  Buffer-Size             PIC X(4)    COMP-5.
           03  Byte-Count              PIC X(4)    COMP-X.
           03  Prog-Test-State         PIC X       COMP-5 VALUE 0.
               78  Prog-Passed         VALUE       0.
               78  Prog-Failed         VALUE       1.
           03  Deny-Mode               PIC X       COMP-5 VALUE 3.
           03  Device                  PIC X       COMP-5 VALUE 0.
           03  Eof-Flag                PIC X       COMP-5.
           03  File-Details.
               05  File-Size           PIC X(8)    COMP-X.
               05  FILLER              PIC X(8).
           03  File-Handle             PIC X(4).
           03  File-Offset             PIC X(8)    COMP-X VALUE 0.
           03  Flags                   PIC X       COMP-5 VALUE 0.

       LINKAGE SECTION.

       copy "mfclisrv.cpy".

       01  Input-Rec                   PIC X(128).

       PROCEDURE DIVISION USING lnk-param-block.

           SET ADDRESS OF Input-Rec TO lnk-dblock-ptr.
           EVALUATE TRUE
              WHEN start-connection
      *-----------------------------------------------------------------
      * Remove any previously copied files and open a new one
      *-----------------------------------------------------------------
                 CALL "CBL_DELETE_FILE" USING ws-filename

                 CALL "CBL_CREATE_FILE" USING ws-filename
                                            Access-Mode
                                            Deny-Mode
                                            Device
                                            File-Handle
                 MOVE 0 TO Byte-Count, File-Offset
              WHEN client-ending
                 CONTINUE
              WHEN OTHER
                 IF lnk-data-length = 8 AND Input-Rec(1:8) = "END-DEMO"
                    CALL "CBL_CLOSE_FILE" USING File-Handle
                    MOVE SPACES TO Input-Rec
                    CALL "CBL_READ_DIR" USING Input-Rec
                                              ws-pathname-len
                    SET use-rdt TO TRUE
                    MOVE 64 TO lnk-data-length
                    MOVE 2 TO lnk-usr-retcode
                 ELSE 
      *-----------------------------------------------------------------
      * Write the copy file
      *-----------------------------------------------------------------
                    MOVE lnk-data-length TO Byte-Count
                    CALL "CBL_WRITE_FILE"
                         USING File-Handle
                               File-Offset
                               Byte-Count
                               Flags
                               Input-Rec(1:lnk-data-length)
                    ADD lnk-data-length TO File-Offset
           END-EVALUATE.

           EXIT PROGRAM.
      * End of source module netxserv.cbl
