      *-----------------------------------------------------------------
      * This file contains a list of constants for use by programs
      * which use the example account classes.
      *
      * Copyright (C) Micro Focus Ltd 1994 - 1996.
      *-----------------------------------------------------------------

      * These constants represent the different types of bank account.
       78 checkType             value z"Check".
       78 savingsType           value z"Savings".
       78 highRateType          value z"High Rate".

      * Size of variables used by the account classes
       78 accNoLength           value 8.
       78 accNameLength         value 80.
       78 accBalanceLength      value 14.
       78 accTypeLength         value 10.
       78 accDisplayLength      value 100.

      * Exception numbers used by the account classes.

       78 debitOverdrawsAccount        value 3.
       78 debitExceedsOverdraft        value 2.
       78 insufficientFundsforAccount  value 1.
