      *>----------------------------------------------------------------
      *> The CobolPicX32 class is the CobolPicX class initialized for
      *> storage of 32 character strings; it is equivalent to sending
      *> the "newClass" message to CobolPicX and specifying a 32
      *> character length.
      *>
      *>#See class "picx".
      *>
      *> Copyright (c) Micro Focus Ltd 1991, 1997
      *>
      *>----------------------------------------------------------------
      $set linkcount(150) mfoo localcount(150)
       class-id. CobolPicX32 data is protected
               inherits from cobolpicx with data.


        object section.
        class-control.
           cobolpicx32 is class "picx32"
           cobolpicx is class "picx"
           .
       procedure division.
           invoke self "initializeclass".
           exit program.

       class-object.
       object-storage section.

      *>----------------------------------------------------------------
      *> PRIVATE. initialize class data
      *>----------------------------------------------------------------
       method-id. "initializeclass".
       procedure division.
           invoke super "initializeclass"
           move 32 to storagerequirements
           exit method.
       end method "initializeclass".

       end class-object.

       Object.
       object-storage section.
       end object.
       end class cobolPicx32.
